Help of ActKey

ActKey is software for reading images from a multi function device with one click.

The image is read directly from an MFP via the MFP operation "Scan to PC".

Description: Description: actkeyicon.jpg

Please click to explore the following information about using ActKey.

About ActKey | How to use ActKey
Description: Description: bullet.gif What you can do with ActKey Description: Description: bullet.gif Types of scans Description: Description: bullet.gif Scanning from a computer Description: Description: bullet.gif Scan to PC Description: Description: bullet.gif Limitations Description: Description: bullet.gif Explanation of term | Description: Description: bullet.gif Preparation Description: Description: bullet.gif How to open with an external application Description: Description: bullet.gif How to store scanned images in a folder Description: Description: bullet.gif How to send scanned images by PC-Fax
Explanations of windows |
Description: Description: bullet.gif Main Description: Description: bullet.gif Button Settings Description: Description: bullet.gif Select Scanner |


About ActKey

ActKey is software for reading images from a multi function device with one click.

The image is read directly from an MFP via the MFP operation "Scan to PC".


Explanation of terms

Term

Explanation

Scan button

This button scans the target with one click.

The following icons for postprocessing actions are displayed in the main ActKey window.

Application-1, Application-2, E-Mail *1, Folder and PC-Fax

Network Configuration

This is software that manages the "Scan to PC" operation and the network scanner driver via the network.

When PC information has been registered in the device for using "Scan to PC" and the Internet Protocol address of the device or the computer changes, the stored value is changed with this tool.

*1: E-Mail option is displayed only on supported models.


What you can do with ActKey

With ActKey, you can do the followings:

One Click Scan
The image is scanned from the MFP in one click, or some other one-click action is performed, as described below.

Cooperation with Scan to PC
The image is read directly from MFP via the MFP operation "Scan to PC".

Action from one-click button

Open Application | Open scanned image from Applications.
E-Mail *1 | Launch e-mail client software to attach an image to an e-mail.
Save to Folder | Save scanned image to folder. Folder is opened automatically after saving.
PC-Fax | Send scanned image using PC-Fax.

*1 Displayed only on supported models.


Scan Operation

With ActKey, you can scan images on an MFP using either of two procedures described below.

Scanning from a computer
After this ActKey button is clicked, ActKey starts a scan and operates as this button is configured.

Operation of Scanning from a computer

(1) Press the <Scan> key on the operator panel of the MFP.

(2) Select [Remote Scan TWAIN] or [Remote Scan] or [Remote PC] from the Scanner menu.

(1),(2) may be unnecessary depending on the model of the device.

(3) Place a document in the auto document feeder or on the flat bed.

(4) Click the scan button in the ActKey Main window.

Scan to PC
With a press of the <Mono> / <Color> or <Start> key on the MFP operator panel, ActKey starts scanning and operates with the MFP.

Operation of Scan to PC

(1) Press the <Scan> key on the operator panel of the MFP.

(2) Select [Computer] or [Local PC] from the Scanner menu.

(3) Depending on the model of the MFP, you may need to select a destination computer.
Select a computer through “USB connected computers” or “Select from list of networked computers” according to the connection type.

(4) From “Select An Application” (may be abbreviated as “startup app” in some MFPs), select ActKey’s behavior following a scan.

Option on an MFP | ActKey scan button’s behavior following a scan
Application | Application-1
Folder | Folder
E-Mail *1 | E-Mail
PC-FAX | PC-Fax

*1 Displayed only on supported models

(5) Place a document in the auto document feeder or on the flat bed.

(6) Press the <Mono> / <Color> or <Start> key.

For detailed scanning procedures, see the user’s manual supplied with the device.


Limitations

Generic limitations.

Ø Please set "PDF" or "JPEG" as the output type of the scanned image. The default output type "BMP" generates a file that is too large.


How to use ActKey

Describes preparations required to use ActKey and four major uses of ActKey.

Preparation

How to open with an external application

How to store scanned images in a folder

How to send scanned images by PC-Fax


Preparation

You need to prepare before you use ActKey.

Ø Install a scanner driver for your device.
To install a scanner driver, see the user manual supplied with the device.

Ø To perform scans from a network-connected device, use the following settings.
* The following settings can be used for devices supporting the Network TWAIN function.
- Set the [TCP/IP] setting to [Enable] on the device.
- Match the device IP address with the computer IP address.
- Set up the DNS server.
- Enable the Network TWAIN function.
For more information, see the user’s manual supplied with the device.

Ø To perform scans using Scanning from a computer, select a device to use from Select Scanner.


How to open with an external application

Open a scanned image with an external application by following the steps below.

1. Advance preparation
Connect a computer and a device using either USB or a network.

2. Set up the “Application -1” or “Application-2” scan button.

(1) Select [Button Settings...] from the [Scan] menu in the ActKey Main window.

(2) In the Button Settings window, click [image] “Application-1” or [image] “Application-2”.

(3) Set up “Input Settings” and “Output Settings”.

(4) Choose an application from the list under "Application" in “Output Settings” to open the scanned image.
If the application you wish to use to open the image is not in the list, please specify the display name and the path of the application on the screen that appears when you click the "Add" button.

(5) Click [OK].

3. Perform scans.

Scanning by Scanning from a computer

(1) Check the selected device scanner on the status bar in the Main window, and if the correct scanner is not selected, select it in the Select Scanner window.

(2) In the Main window, click [image] “Application-1” or [image] “Application-2”.

Scanning by Scan to PC

(1) When setting up Scan to PC, select “Application” or “Select An Application” the operator panel of the device, and press the <Color> / <Mono> or <Start> key.

The image is scanned and is opened by the application selected in step 2.

In Scan to PC, image will always open in the application selected as "Application -1".


How to store scanned images in a folder

Store scanned images in a folder by following the steps below.

1. Advance preparation
Connect a computer and a device using either USB or a network.

2. Set up the “Folder” scan button.

(1) Select [Button Settings...] from the [Scan] menu in the ActKey Main window.

(2) In the Button Settings window, click [image] “Folder”.

(3) Click [Browse...] of “Folder” and specify a folder to store scanned images.

(4) Set up “Input Settings” and “Output Settings”.

(5) Click [OK].

3. Perform a scan.

Scanning by Scanning from a computer

(1) Check the selected device scanner on the status bar in the Main window, and if the correct device is not selected, select it in the Select Scanner window.

(2) In the Main window, click [image] “Folder”.

Scanning by Scan To PC

(1) When setting up Scan To PC, select “Folder” of “Select An Application” on the operator panel of the device, and press the <Color> / <Mono> or <Start> key.

Images are scanned and stored in the folder specified in step 2.

By default, the folder set in step 2 opens after the image has been.


How to send scanned images by PC-Fax

Start PC-Fax and fax the scanned images.

1. Advance preparation
Connect a computer and a device using either USB or a network.

2. Set up the “PC-Fax” scan button.

(1) Select [Button Settings...] from the [Scan] menu in the ActKey Main window.

(2) In the Button Settings window, click [image] “PC-Fax.”

(3) Set up “Input Settings” and “Output Settings”.

(4) Click [OK].

3. Perform a scan.

Scanning by Scanning from a computer

(1) Check the selected device scanner on the status bar in the Main window, and if the correct device is not selected, select it in the Select Scanner window.

(2) In the Main window, click [image] the “PC-Fax” scan button.

Scanning by Scan to PC

(1) When setting up Scan to PC, select “PC-Fax” of “Select An Application” on the operator panel of the device, and press the <Color> / <Mono> or <Start> key.

Images are scanned, and PC-Fax starts.


Main

The main window is the base window of ActKey and consists of scan buttons to start Scanning from a computer, menus to make settings, and the status bar that displays the scanner selected for use.

Title Bar

View the scanner selected for the remote scan followed by the application name in the "ActKey" title bar.

Scanner is selected in Select Scanner.

Scan buttons

Commands for starting scans with one click and display the operation of the specified Scan to PC application.

Item | Details
Scan button | Starts Scanning from a computer with one click. When a mouse cursor is placed over it, the settings of the scan button pop up.

Menus

Menu item | Details
[Options] | Provides operation, showing, hiding, and setting of scan buttons.
[Help] | Displays help messages and version information.

[Options]

Allows settings for scan operation and scans.

Menu item | Details
[Button Settings...] | Opens Button Settings.
[Select Scanner...] | Opens Select Scanner.
[Show Scanner Settings] | Checked: Shows scan button settings when a mouse cursor is placed over it. Not checked: Scan button settings are not shown. The check state toggles between checked and unchecked each time the menu item is selected.
[Display Confirmation Message] | Checked: Show a continuation confirmation message when getting an image from the MFP in Scan to PC Not checked: Continuation confirmation message is not shown. The check state toggles between checked and unchecked each time the menu item is selected.
[Automatic start-up at logon] | Check ON: When you log onto Windows, ActKey will start automatically. Check OFF: ActKey will not start automatically.
[Minimize on startup] | Check ON: ActKey will be minimized when started up. Check OFF: Starts ActKey.

[Help]

Menu item | Details
Help Topics | Displays help topics.
About | Displays ActKey version information.


Button Settings

To view: Go to Main window - [Options] menu – [Button Settings...]

You can set the operation of each scan button.

Basic operation items

Item | Details
Scan button | Specify a scan button to set up. The setting exists in each scan button, and the changed content is applied with OK.
Default Settings | You can return the settings to the default settings.
OK | Confirms the change(s) and closes Button Settings.
Cancel | Cancels the change(s) and closes Button Settings.

Items that are set for actions

Items that can be set for Action vary depending on the type of scan button.

Application-1, [image] Application-2

Item

Details

Input Settings

See Input Settings of Scan button for common items to set for actions.

Application

Choose from the list of applications to open the scanned image.

Item

Details

Default program in Windows

Open an image in the default program associated with the file format after scanning.

Program name that is associated with the file format of the current file appears below the list.

Program associated with the file format can be set using “Associate a file type or protocol with a program” in “Default Programs” in the Control Panel.

Program associated with the file format, can be modified using “Associate a file type or protocol with a program” in “Default Programs” in the Control Panel.

Click [Browse...] and specify the application to open scanned images.

Description of the operation button for a list of applications:

Item | Details
Add | Add to the list of applications for opening the image by specifying the path of the application and display name.
Modify | Edit the display name and path of the currently selected application in the list for opening the image.
Delete | Remove the currently selected application for opening the image from the list.

Description of the Add / Modify window:

Item | Details
Title | Specify the name to be displayed in the list. Cannot specify a name that is used in the list already.
Path | Displays the path name of the application for opening the image.
Browse... | Specify the location of the executable file for the application for opening the image.

Output Settings

See Output Settings of Scan button for common items to set for actions.

E-Mail Displayed only on supported models.

Item | Details
E-mail Software | Specifies the e-mail client software to create a message with the scanned image attached. The following software is supported for e-mail: Outlook, Outlook Express, Netscape Messenger, Mozilla Thunderbird, Lotus notes, Windows Mail
Input Settings | See Input Settings of Scan button for common items to set for actions.
Output Settings | See Output Settings of Scan button for common items to set for actions.

Folder

Item | Details
Open current folder when scan is completed | When this is checked, it opens the destination folder for images when a scan is completed.
View Folder... | Opens the folder where images are stored.
Input Settings | See Input Settings of Scan button for common items to set for actions.
Output Settings | See Output Settings of Scan button for common items to set for actions.

PC-Fax

Item | Details
Input Settings | See Input Settings of Scan button for common items to set for actions. Attention: Because PC-Fax reads images to be faxed, the following are fixed: [Color Mode] = Black and white, [Resolution] = 200 dpi.
Output Settings | See Output Settings of Scan button for common items to set for actions. Attention: In use of PC-Fax, “Save as type” is fixed to the format for fax transmission.

Scan button for common items to set for actions

Input Settings

Item

Details

Scan Method

Select a scan method appropriate for the type and the number of sheets of the document to be scanned.

When “Auto” is selected, documents are scanned from the ADF if any, or if no documents are loaded in the ADF, the document on the flatbed is scanned.

Options

You can specify a scan method option.

If your device in use doesn’t support a duplex scan function, no scan method option is available.

Item

Details

Direction

Sets the orientation of documents.

On the flatbed, place a document with its top edge to the left or near side of the device.

In the ADF, load a document with its top edge to the left or far side of the device.

Item | Details
Left | Place a document with its top edge to the left. Description: Description: Description: direction_left2
Upper | ADF Load a document in the ADF with its top edge to the far side. flatbed Place a document with its top edge to the near side. Description: Description: Description: direction_top2

Duplex Scanning

You can specify the binding side for documents scanned on both sides when ADF is specified for Scan Method.

Item | Details
Off | Scan one side of documents from the ADF
Right and left Binding | Scans both sides of documents to be left-bound or right-bound. This is selected to make copies on which front and back sides have the same page orientation. Description: Description: Description: lrbinding
Top binding | Scans both sides of document to be top-bound. This is selected to make copies on which front and back sides have reverse page orientation. Description: Description: Description: tbbinding

Color Mode

Select a color mode in accordance with the document type or the use of scanned images.

Item | Details
Color(24bit) | Scans each pixel in full color in a 24-bit RGB format.
Grayscale(8bit) | Scans each pixel in an 8-bit, 256-level grayscale.
Black and White | Scans each pixel in bi-level with black and white. Halftones are not represented.
Halftone | Scans each pixel in bi-level with black and white. Halftones are represented.

Paper Size

Select a paper size for the document to be scanned and the scan size.

Sizes that can be specified vary among device models.

Note: If a problem occurs with a scan by selecting "Auto", perform scans with any option other than "Auto".

Resolution

Select a minimum resolution needed for images scanned appropriate for their use.

Note: Some applications may not accept scanned images at a high resolution. In such a case, set a lower resolution.

Display the scanner driver

If checked you can scan documents after specifying color adjustment and filtering in the scanner driver setting dialog.

Output Settings

Item

Details

Save as type

Specify a file format for scanned images.

Item | Details | Compress | Example File size [MB]
 |  |  | Color | Gray | B/W
BMP | Windows Bitmap format | No | 24.9 | 8.3 | 1
JPEG |  | Yes | 1.3 | 1.2 | 0.9
TIFF |  | B/W(2) | 22.0 | 7.3 | 0.2
PCX |  | B/W(3) | 26.1 | 8.8 | 0.3
GIF | Tone reduction to 256 or less | Yes(1) | 6.7 | 7.3 | 0.2
TGA |  | No | 24.4 | 8.3 | 8.3
PNG |  | Yes(1) | 18.7 | 6.1 | 0.2
WMF | Windows Meta File | No | 24.9 | 24.9 | 24.9
EMF | Windows Enhanced Meta File | No | 24.9 | 24.9 | 24.9
PDF |  | Yes | 1.3 | 1.3 | 0.2
Multi-page PDF |  | Yes |  |  |
Multi-page TIFF |  | B/W(2) |  |  |

The above sizes are examples for scans of picture images at A4 300dpi. (Refer to them as guidelines to choose a file format.)

Compress:

No: No compressed ,

Yes: Level can be specified

Yes(1): Level cannot be specified

B/W(2): Only B/W (level can be specified)

B/W(3): Only B/W (level cannot be specified)

Compression Level

Specify a compression level for JPEG/PDF/TIFF file formats.

File format

Details

JPEG

Settings: Integer values from 0 to 100

The file size and image quality vary with the setting.

Value | File size | Quality
0 | Large | High
50 | Medium | Medium
100 | Small | Low

TIFF

Black-and-white and halftone images can be specified.

Item | Description | Picture degradation
Raw | No compression | None
Middle(G3) | Medium compression level | None
High(G4) | High compression level | Deteriorates

PDF

Settings vary according to color mode.

Color and grayscale

The file size and image quality vary with the setting.

Item | File size | Quality
High | Large | High
Middle | Medium | Medium
Low | Small | Low

Black-and-white and halftone

Item | Description | Picture degradation
Raw | No compression | None
Middle(G3) | Medium compression level | None
High(G4) | High compression level | Deteriorates

File name

Specify a file name for scanned images. The file name for scanned images is saved in the following format:

“Specified file name”(Date)“4-digit serial number”. “file format extension”

Attention:

Ø File name is case insensitive.

Ø The following characters cannot be used in file names.
" * / : < > ? \ |

Save scanned image to

Specify a folder to save the scanned images.

Browse...

Browse to the folder to save the image.


Select Scanner

To view: Go to Main window - [Options] menu - [Select Scanner...]

From the [Scanner] list, select a scanner to be used for the scan operation using Scanning from a computer.

The [Scanner] list displays scanners that are currently available.

ActKey checks scanners for their availability during startup, and displays an error message if no connection has been established.